Ftdi::Eeprom Class Reference

Device EEPROM. More...

`#include <ftdi.hpp>`

## Classes

class | Private

## Public Member Functions

| Eeprom (Context *parent)
| ~Eeprom ()
int | init_defaults (char *manufacturer, char *product, char *serial)
int | chip_id (unsigned int *chipid)
int | build (unsigned char *output)
int | read (unsigned char *eeprom)
int | write (unsigned char *eeprom)
int | read_location (int eeprom_addr, unsigned short *eeprom_val)
int | write_location (int eeprom_addr, unsigned short eeprom_val)
int | erase ()

## Detailed Description

Device EEPROM.

Definition at line 152 of file ftdi.hpp.

## Constructor & Destructor Documentation

Ftdi::Eeprom::Eeprom | ( | Context * | parent | ) |

Definition at line 409 of file ftdi.cpp.

References Ftdi::Context::context().

Ftdi::Eeprom::~Eeprom | ( |  | ) |

Definition at line 415 of file ftdi.cpp.

## Member Function Documentation

int Ftdi::Eeprom::init_defaults | ( | char * | manufacturer,
|  | char * | product,
|  | char * | serial
| ) |  |

Definition at line 419 of file ftdi.cpp.

References ftdi_eeprom_initdefaults().

int Ftdi::Eeprom::chip_id | ( | unsigned int * | chipid | ) |

Definition at line 424 of file ftdi.cpp.

References ftdi_read_chipid().

int Ftdi::Eeprom::build | ( | unsigned char * | output | ) |

Definition at line 429 of file ftdi.cpp.

References ftdi_eeprom_build().

int Ftdi::Eeprom::read | ( | unsigned char * | eeprom | ) |

Definition at line 434 of file ftdi.cpp.

References ftdi_read_eeprom().

int Ftdi::Eeprom::write | ( | unsigned char * | eeprom | ) |

Definition at line 439 of file ftdi.cpp.

References ftdi_write_eeprom().

int Ftdi::Eeprom::read_location | ( | int | eeprom_addr,
|  | unsigned short * | eeprom_val
| ) |  |

Definition at line 444 of file ftdi.cpp.

References ftdi_read_eeprom_location().

int Ftdi::Eeprom::write_location | ( | int | eeprom_addr,
|  | unsigned short | eeprom_val
| ) |  |

Definition at line 449 of file ftdi.cpp.

References ftdi_write_eeprom_location().

int Ftdi::Eeprom::erase | ( |  | ) |

Definition at line 454 of file ftdi.cpp.

References ftdi_erase_eeprom().

The documentation for this class was generated from the following files:

- ftdi.hpp
- ftdi.cpp